The category group object
Attributes
idstring
Unique identifier for the category group.
createdAtstring
When the object was created, ISO 8601.
updatedAtstring
When the object was last updated, ISO 8601.
userIdstring
Owner of the object. Always the authenticated user.
namestring
Group name.
emojinullable string
Emoji.
colornullable string
Hex color.
sortIndexnullable number
Display order.
GET/transaction-category-groups
curl https://api.finwiseapp.io/transaction-category-groups \-X GET \-H "Authorization: Bearer fw_..." \-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/transaction-category-groups', {method: 'GET',headers: {Authorization: 'Bearer fw_...','Content-Type': 'application/json',},})const data = await response.json()
The group object
[{"id": "b11db54c-bc17-558d-9bfc-638791c31b61","createdAt": "2026-03-14T09:10:00.000Z","updatedAt": "2026-03-14T09:10:00.000Z","name": "Everyday","userId": "f472696c-47ac-4873-98cf-2a1069a1cf45","color": "#4C63ED","emoji": "🛒","sortIndex": 0}]